# DataStoreIncrementOptions

DataStoreIncrementOptions : `Instance`

## Overview

GlobalDataStore:IncrementAsync() 메서드를 사용할 때 부가 정보(메타데이터)를 지정하는 객체입니다.

## Properties

## Methods

### GetMetadata

해당 객체가 가진 부가 정보(메타데이터)를 반환합니다.

#### Parameters

#### Return

| `Dictionary` | 키-값 형태의 부가 정보(메타데이터)입니다. |
| ------------ | ------------------------ |

#### Code Samples

```lua
local options = Instance.new("DataStoreIncrementOptions")
options:SetMetadata(
{
    Reason = "DailyMission"
})

print(options:GetMetadata())
```

### SetMetadata

GlobalDataStore:IncrementAsync() 메서드를 사용할 때 함께 저장할 부가 정보(메타데이터)를 등록합니다.

#### Parameters

| `Dictionary` InMetaDataTable | 여러 속성을 키-값 형태로 지정한 부가 정보(메타데이터)입니다. |
| ---------------------------- | ----------------------------------- |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

```lua
local DataStoreService = game:GetService("DataStoreService")
local GoldStore = DataStoreService:GetDataStore("PlayerGold")

local success, errorMessageOrLoadValue = pcall(function()
    local userIds = nil
    local options = Instance.new("DataStoreIncrementOptions")
    options:SetMetadata(
    {
        Reason = "DailyMission"
    })

    GoldStore:IncrementAsync(player.UserId, 1, userIds, options)
end)
```

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/datastoreincrementoptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
